Airdrop
Get Airdrop Capability
Gets the capabilities of airdrop.
Authorization
auth-token AuthorizationBearer <token>
All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Query Parameters
external_system_capabilities?array<external-system-capability>
List of external system capabilities of possible imports and their constraints.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.devrev.ai/airdrop.capabilities.get"{
"external_system_capabilities": [
{
"display_name": "string",
"external_import_slug": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"icon_artifact": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"import_slug": "string",
"keyring_type_ids": [
"string"
],
"marketplace_item_slug": "string",
"min_sync_period": 0,
"periodic_sync_directions": [
"from_devrev"
],
"snap_in_id": "string",
"snap_in_name": "string",
"snap_in_slug": "string",
"supported_capabilities": [
"computer_sync"
]
}
],
"external_system_names": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}